Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Manuel Giraud <[email-masked]>
Date: Wed, 23 Jul 2025 18:45:01 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Manuel Giraud <[email-masked]>
>> Cc: Robert Pluim <[email-masked]>,  [email-masked],
>>   [email-masked],  Eli Zaretskii <[email-masked]>,
>>   [email-masked]
>> Date: Wed, 23 Jul 2025 10:01:34 +0200
>> 
>> Samuel Thibault <[email-masked]> writes:
>> 
>> > Re,
>> >
>> > Manuel Giraud, le mar. 22 juil. 2025 16:09:33 +0200, a ecrit:
>> >> >>>>>> On Tue, 22 Jul 2025 14:10:11 +0200, Samuel Thibault
>> >> > <[email-masked]> said:
>> >> > That was my misinterpretation of the request. Itʼs easy enough to
>> >> > restrict the change to only affect the '\t\b' case, but weʼll have to
>> >> > come up with a new name for the user option :-)
>> >> 
>> >> What about this?
>> >
>> > Yes, that works!
>> 
>> Thanks.  So maybe next step is to decide if we keep this overshoot
>> behaviour guarded behind a user option (I propose
>> `inhibit-overshoot-in-tty-motions') and, the hard question, what should
>> be its default?
>
> I outlined the next step, let's please use them.

Of course.  I didn't mean to overstep here and was just thinking out
loud what would the next step IMO.
-- 
Manuel Giraud